#
# spec file for package gnats (Version 4.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  emacs emacs-nox
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib emacs emacs-nox gcc gdbm gettext libtool perl rpm

Name:         gnats
License:      GPL
Group:        Development/Tools/Other
Autoreqprov:  on
PreReq:       %{install_info_prereq}
Version:      4.0
Release:      160
Summary:      Problem Report Management System
URL:          http://www.gnu.org/software/gnats/
Source:       ftp://ftp.gnu.org/pub/gnu/gnats/gnats-%{version}.tar.gz
Patch:        gnats-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Prereq:       /usr/sbin/useradd

%description
GNATS is a bug-tracking tool designed for use at a central support
site. Software users who experience problems use electronic mail to
communicate these problems to the the maintainers of that software;
GNATS partially automates the tracking of these problems by:

 organizing problem reports into a database and notifying responsible
parties of suspected bugs;

 allowing support personnel and their managers to edit, query and
report on accumulated bugs; and

 providing a reliable archive of problems with a given program and a
history of the life of the program by preserving its reported problems
and their subsequent solutions.

GNATS offers many of the same features offered by more generic
databases.  You can query and edit existing problem reports (PRs) as
well as obtain reports on groups of PRs.  The database itself is simply
an ordered repository for problem reports; each PR receives a unique,
incremental PRnumber, which identifies it throughout its lifetime.



Authors:
--------
    Brendan Kehoe  <brendan@lisa.cygnus.com>
    Ian Lance Taylor  <ian@cygnus.com>
    Jason Molenda  <crash@godzilla.cygnus.co.jp>
    Doug Evans  <dje@canuck.cygnus.com>

%prep
%setup
%patch
%{suse_update_config -f}

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --libexecdir=%{_prefix}/lib \
	    --mandir=%{_mandir} --infodir=%{_infodir} \
	    --sysconfdir=/etc \
	    --with-lispdir=%{_prefix}/share/emacs/site-lisp \
	    --with-gnats-default-db=/var/lib/gnatsdb
make

%install
/usr/sbin/useradd -r -o -u 34 -g nogroup -s /bin/bash -c "Gnats Gnu Backtracking System" -d /usr/lib/gnats gnats 2>/dev/null || :
make install \
     prefix=$RPM_BUILD_ROOT/usr libexecdir=$RPM_BUILD_ROOT%{_prefix}/lib \
     mandir=$RPM_BUILD_ROOT%{_mandir} infodir=$RPM_BUILD_ROOT%{_infodir} \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     INSTALL_PROGRAM='${INSTALL} -s' INSTALL_SCRIPT='${INSTALL}' \
     MAKE="make GNATS_DEFAULT_DB_DIR=$RPM_BUILD_ROOT/var/lib/gnatsdb \
		GLOBAL_DB_LIST_FILE=$RPM_BUILD_ROOT/etc/gnats/databases \
		GNATSD_USER_ACCESS_FILE=$RPM_BUILD_ROOT/etc/gnats/gnatsd.access \
		GNATSD_HOST_ACCESS_FILE=$RPM_BUILD_ROOT/etc/gnats/gnatsd.host_access \
		lispdir=$RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp"

%pre
/usr/sbin/useradd -r -o -u 34 -g nogroup -s /bin/bash -c "Gnats Gnu Backtracking System" -d /usr/lib/gnats gnats 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/gnats.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gnats.info.gz

%files
%defattr(-,root,root)
%doc NEWS TODO UPGRADING
/usr/bin/*
%dir /usr/lib/gnats
/usr/lib/gnats/at-pr
/usr/lib/gnats/check-db
/usr/lib/gnats/delete-pr
/usr/lib/gnats/diff-prs
/usr/lib/gnats/file-pr
%attr(4555,gnats,-) /usr/lib/gnats/gen-index
/usr/lib/gnats/gnats-pwconv
%attr(-,gnats,-) /usr/lib/gnats/gnatsd
/usr/lib/gnats/mail-agent
/usr/lib/gnats/mail-query
/usr/lib/gnats/mkcat
/usr/lib/gnats/mkdb
/usr/lib/gnats/pr-age
%attr(4555,gnats,-) /usr/lib/gnats/pr-edit
%attr(4555,gnats,-) /usr/lib/gnats/queue-pr
/usr/lib/gnats/rmcat
/usr/share/emacs/site-lisp/*.el
%dir /etc/gnats
%attr(-,gnats,-) %config(noreplace) /etc/gnats/databases
%attr(-,gnats,-) %config(noreplace) /etc/gnats/gnatsd.host_access
/etc/gnats/defaults
%doc %{_infodir}/*.info*.gz
%doc %{_mandir}/man*/*

%changelog -n gnats
* Thu Jul 15 2004 - schwab@suse.de
- Fix format string bug [#42666].
* Tue Aug 05 2003 - schwab@suse.de
- Update to gnats 4.0.
* Tue May 13 2003 - schwab@suse.de
- Fix filelist.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Mon Dec 02 2002 - schwab@suse.de
- Update to gnats 3.999.2.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jul 08 2002 - schwab@suse.de
- Create user gnats also before installation.
* Mon Jul 08 2002 - schwab@suse.de
- Create user gnats in %%pre.
* Fri Apr 12 2002 - schwab@suse.de
- Update to gnats 3.999.1.
* Fri Dec 28 2001 - schwab@suse.de
- Configure the lisp directory explicitly.
- Use emacs-nox instead of emacs-x11.
* Tue Nov 13 2001 - schwab@suse.de
- Add libjpeg libpng libtiff libungif to neededforbuild.
* Fri Jun 22 2001 - schwab@suse.de
- Update to gnats-3.113.1.
- Fix for gcc 3.0.
- Use BuildRoot.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - schwab@suse.de
- Add xshared to neededforbuild.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Fri Feb 18 2000 - schwab@suse.de
- Fix file list.
- Don't chown /usr/share/gnats
- Fix quoting bug in mkcat
- fix send-pr.el:gnats::get-config.
* Fri Jan 21 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
- Byte-compile send-pr.el
- Fix gnats manpage.
* Wed Dec 01 1999 - schwab@suse.de
- Fix malloc bugs.
* Thu Nov 25 1999 - schwab@suse.de
- update to 3.113
* Thu Nov 25 1999 - schwab@suse.de
- Make tempfile handling even more secure.
- Update getdate.y for Y2K
* Wed Nov 03 1999 - schwab@suse.de
- Fix numerous potential buffer overflows.
- Make tempfile handling more secure.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - schwab@suse.de
- update to 3.111
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Tue Jun 29 1999 - uli@suse.de
- update -> 3.110
* Fri Oct 02 1998 - ro@suse.de
- update to 104beta
- reintegrated werners tmp-fixes
- hacked not to initialized global variables with "stdout"
* Fri Jul 24 1998 - werner@suse.de
- Make some scripts more secure ... use mktemp if avaliable
* Sun Jun 22 1997 - florian@suse.de
- initial release of gnats 3.102-beta for S.u.S.E.
